#!/bin/sh

if [ -z "$*" ]; then
	echo ERROR: This script is for internal use by the Makefile only
	echo If you are trying to install, please run "make install"
	exit 1
fi

UNAME=`uname -r`

INSTALL_PATH_2_4=/lib/modules/$UNAME/kernel/drivers/usb/
INSTALL_PATH_2_5=/lib/modules/$UNAME/kernel/drivers/usb/media/

MAJMIN=`echo $UNAME | cut -d . -f 1-2`

echo Detected $MAJMIN kernel

case "$MAJMIN" in
  2.4)
	INSTALL_PATH=$INSTALL_PATH_2_4
	;;
  2.5)
	INSTALL_PATH=$INSTALL_PATH_2_5
	;;
  *)
	echo ERROR: Kernel version not supported
	exit 1
esac

for MODULE in $* ; do
	echo Installing $MODULE to $INSTALL_PATH
	install $MODULE $INSTALL_PATH
done

/sbin/depmod -ae
